blas_sparse::ussm Interface Reference

triangular solve: b <- alpha A^-1 b More...

## Public Member Functions

subroutine | sussm (order, transt, nrhs, alpha, t, b, ldb, istat)
| Triangular solve, by a dense matrix (aka multi-vector). Either of , depending on the value of `transT`.
subroutine | dussm (order, transt, nrhs, alpha, t, b, ldb, istat)
| Triangular solve, by a dense matrix (aka multi-vector). Either of , depending on the value of `transT`.
subroutine | cussm (order, transt, nrhs, alpha, t, b, ldb, istat)
| Triangular solve, by a dense matrix (aka multi-vector). Either of , depending on the value of `transT`.
subroutine | zussm (order, transt, nrhs, alpha, t, b, ldb, istat)
| Triangular solve, by a dense matrix (aka multi-vector). Either of , depending on the value of `transT`.

## Detailed Description

triangular solve: b <- alpha A^-1 b

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## Member Function/Subroutine Documentation

## cussm()

subroutine blas_sparse::ussm::cussm | ( | integer | order,
|  | integer | transt,
|  | integer(kind=rsb_blas_idx_kind) | nrhs,
|  | complex(kind(1.e0)) | alpha,
|  | integer | t,
|  | complex(kind(1.e0)), dimension (:,:) | b,
|  | integer(kind=rsb_blas_idx_kind) | ldb,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Triangular solve, by a dense matrix (aka multi-vector). Either of , depending on the value of `transT`.

Parameters

  order | layour of the dense array.
  transT | Transposition operator for matrix T.
  nrhs | Number of right hand side columns.
  alpha | Value for .
  T | A valid triangular matrix handle.
  b | Dense vector b.
  ldb | Leading dimension of b.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## dussm()

subroutine blas_sparse::ussm::dussm | ( | integer | order,
|  | integer | transt,
|  | integer(kind=rsb_blas_idx_kind) | nrhs,
|  | real(kind(1.d0)) | alpha,
|  | integer | t,
|  | real(kind(1.d0)), dimension (:,:) | b,
|  | integer(kind=rsb_blas_idx_kind) | ldb,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Triangular solve, by a dense matrix (aka multi-vector). Either of , depending on the value of `transT`.

Parameters

  order | layour of the dense array.
  transT | Transposition operator for matrix T.
  nrhs | Number of right hand side columns.
  alpha | Value for .
  T | A valid triangular matrix handle.
  b | Dense vector b.
  ldb | Leading dimension of b.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## sussm()

subroutine blas_sparse::ussm::sussm | ( | integer | order,
|  | integer | transt,
|  | integer(kind=rsb_blas_idx_kind) | nrhs,
|  | real(kind(1.e0)) | alpha,
|  | integer | t,
|  | real(kind(1.e0)), dimension (:,:) | b,
|  | integer(kind=rsb_blas_idx_kind) | ldb,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Triangular solve, by a dense matrix (aka multi-vector). Either of , depending on the value of `transT`.

Parameters

  order | layour of the dense array.
  transT | Transposition operator for matrix T.
  nrhs | Number of right hand side columns.
  alpha | Value for .
  T | A valid triangular matrix handle.
  b | Dense vector b.
  ldb | Leading dimension of b.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## zussm()

subroutine blas_sparse::ussm::zussm | ( | integer | order,
|  | integer | transt,
|  | integer(kind=rsb_blas_idx_kind) | nrhs,
|  | complex(kind(1.d0)) | alpha,
|  | integer | t,
|  | complex(kind(1.d0)), dimension (:,:) | b,
|  | integer(kind=rsb_blas_idx_kind) | ldb,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Triangular solve, by a dense matrix (aka multi-vector). Either of , depending on the value of `transT`.

Parameters

  order | layour of the dense array.
  transT | Transposition operator for matrix T.
  nrhs | Number of right hand side columns.
  alpha | Value for .
  T | A valid triangular matrix handle.
  b | Dense vector b.
  ldb | Leading dimension of b.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

The documentation for this interface was generated from the following file:

- rsb_blas_sparse.F90